org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge

## Class AnsibleSerializeHelper

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.ansiblebridge.AnsibleSerializeHelper

    public class AnsibleSerializeHelper
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`AnsibleSerializeHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Role` `deserializeRoleFromFilesystem(File roleDir)`
`static void` `serialize(Inventory inventory, File inventoryFile)`
`static void` `serialize(Playbook playbook, File playbookFile)`
`static void` `serialize(String s, File f)`
`static void` `serializeRole(Role r, File dir)`
`static void` `serializeTask(RoleFile tf, File dir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnsibleSerializeHelper

    public AnsibleSerializeHelper()

### Method Detail

#### serialize

    public static void serialize(Inventory inventory,
                                 File inventoryFile)
                          throws IOException

Throws:
  `IOException`

#### serialize

    public static void serialize(Playbook playbook,
                                 File playbookFile)
                          throws IOException

Throws:
  `IOException`

#### serializeRole

    public static void serializeRole(Role r,
                                     File dir)
                              throws IOException

Throws:
  `IOException`

#### serializeTask

    public static void serializeTask(RoleFile tf,
                                     File dir)
                              throws IOException

Throws:
  `IOException`

#### serialize

    public static void serialize(String s,
                                 File f)
                          throws IOException

Throws:
  `IOException`

#### deserializeRoleFromFilesystem

    public static Role deserializeRoleFromFilesystem(File roleDir)
                                              throws IOException

Throws:
  `IOException`